# Drag Draft

Round robin draft and bracket scoring system.

## Usage

### Running the initial draft

  1. Create a new folder with the name of your season.
  2. Create a plain text file in that folder called `queens.txt` with the names of all queens.
  3. Create a file for each player called `piks-<player>.txt` with the queens they pick in the order they'd like to draft them.
  4. Run the draft with the season folder as an argument. `python -m drag_draft --draft <season>`

### Eliminations

After each elimination episode, run the scoring script with the season folder as an argument. `python -m drag_draft --eliminate <queen> <season>`

### Viewing the current standings

Run `python -m drag_draft --print <season>` to see the current standings.

## How it works

### Draft

The draft works by picking a random order for each player to pick from the draft. Then each player drafts their highest ranked remaining queen onto their roster. This continues until all queens have been drafted or there are not enough queens left for the draft to go another round.

### Scoring

Each elimination players receive 1 point for every queen in their roster that is still in the game.
